import request from '@/utils/request'

// 查询资产设施巡检列表
export function listZcssxj(query) {
  return request({
    url: '/szxc/zcssxj/list',
    method: 'get',
    params: query
  })
}

// 查询资产设施巡检详细
export function getZcssxj(id) {
  return request({
    url: '/szxc/zcssxj/' + id,
    method: 'get'
  })
}

// 新增资产设施巡检
export function addZcssxj(data) {
  return request({
    url: '/szxc/zcssxj',
    method: 'post',
    data: data
  })
}

// 修改资产设施巡检
export function updateZcssxj(data) {
  return request({
    url: '/szxc/zcssxj',
    method: 'put',
    data: data
  })
}

// 删除资产设施巡检
export function delZcssxj(id) {
  return request({
    url: '/szxc/zcssxj/' + id,
    method: 'delete'
  })
}
